package intrinsic.flash.events;

public class ScreenMouseEvent extends intrinsic.flash.events.MouseEvent {

	/** Accessors */
	public double screenX;
	public double screenY;

	/** Variables */

	/** Constants */
	public static final String RIGHT_CLICK = "right_click";
	public static final String RIGHT_MOUSE_DOWN = "right_mouse_down";
	public static final String RIGHT_MOUSE_UP = "right_mouse_up";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ScreenMouseEvent() {
}

public ScreenMouseEvent(String arg0) {
}

public ScreenMouseEvent(String arg0, boolean arg1) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, boolean arg5) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, boolean arg5, boolean arg6) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, boolean arg5, boolean arg6, boolean arg7) {
}

public ScreenMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, boolean arg5, boolean arg6, boolean arg7, boolean arg8) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
